Package org.apache.storm.generated

# Class SupervisorPageInfo

java.lang.Object
org.apache.storm.generated.SupervisorPageInfo

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<SupervisorPageInfo>`, `org.apache.storm.thrift.TBase<SupervisorPageInfo,SupervisorPageInfo._Fields>`, `org.apache.storm.thrift.TSerializable`

@Generated("Autogenerated by Thrift Compiler (0.19.0)") public class SupervisorPageInfo extends Object implements org.apache.storm.thrift.TBase<SupervisorPageInfo,SupervisorPageInfo._Fields>, Serializable, Cloneable, Comparable<SupervisorPageInfo>

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SupervisorPageInfo._Fields`
  The set of fields this struct contains, along with convenience methods for finding and manipulating them.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Map<SupervisorPageInfo._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>`
  `metaDataMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SupervisorPageInfo()`
  `SupervisorPageInfo(SupervisorPageInfo other)`
  Performs a deep copy on other.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add_to_supervisor_summaries(SupervisorSummary elem)`
  `void`
  `add_to_worker_summaries(WorkerSummary elem)`
  `void`
  `clear()`
  `int`
  `compareTo(SupervisorPageInfo other)`
  `SupervisorPageInfo`
  `deepCopy()`
  `boolean`
  `equals(Object that)`
  `boolean`
  `equals(SupervisorPageInfo that)`
  `SupervisorPageInfo._Fields`
  `fieldForId(int fieldId)`
  `List<SupervisorSummary>`
  `get_supervisor_summaries()`
  `Iterator<SupervisorSummary>`
  `get_supervisor_summaries_iterator()`
  `int`
  `get_supervisor_summaries_size()`
  `List<WorkerSummary>`
  `get_worker_summaries()`
  `Iterator<WorkerSummary>`
  `get_worker_summaries_iterator()`
  `int`
  `get_worker_summaries_size()`
  `Object`
  `getFieldValue(SupervisorPageInfo._Fields field)`
  `int`
  `hashCode()`
  `boolean`
  `is_set_supervisor_summaries()`
  Returns true if field supervisor_summaries is set (has been assigned a value) and false otherwise
  `boolean`
  `is_set_worker_summaries()`
  Returns true if field worker_summaries is set (has been assigned a value) and false otherwise
  `boolean`
  `isSet(SupervisorPageInfo._Fields field)`
  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
  `void`
  `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
  `void`
  `set_supervisor_summaries(List<SupervisorSummary> supervisor_summaries)`
  `void`
  `set_supervisor_summaries_isSet(boolean value)`
  `void`
  `set_worker_summaries(List<WorkerSummary> worker_summaries)`
  `void`
  `set_worker_summaries_isSet(boolean value)`
  `void`
  `setFieldValue(SupervisorPageInfo._Fields field, Object value)`
  `String`
  `toString()`
  `void`
  `unset_supervisor_summaries()`
  `void`
  `unset_worker_summaries()`
  `void`
  `validate()`
  `void`
  `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### metaDataMap

    public static final Map<SupervisorPageInfo._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

- ## Constructor Details

  - ### SupervisorPageInfo

    public SupervisorPageInfo()

  - ### SupervisorPageInfo

    public SupervisorPageInfo(SupervisorPageInfo other)
    Performs a deep copy on other.

- ## Method Details

  - ### deepCopy

    public SupervisorPageInfo deepCopy()
    Specified by:
      `deepCopy` in interface `org.apache.storm.thrift.TBase<SupervisorPageInfo,SupervisorPageInfo._Fields>`

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `org.apache.storm.thrift.TBase<SupervisorPageInfo,SupervisorPageInfo._Fields>`

  - ### get_supervisor_summaries_size

    public int get_supervisor_summaries_size()

  - ### get_supervisor_summaries_iterator

    public Iterator<SupervisorSummary> get_supervisor_summaries_iterator()

  - ### add_to_supervisor_summaries

    public void add_to_supervisor_summaries(SupervisorSummary elem)

  - ### get_supervisor_summaries

    public List<SupervisorSummary> get_supervisor_summaries()

  - ### set_supervisor_summaries

    public void set_supervisor_summaries(List<SupervisorSummary> supervisor_summaries)

  - ### unset_supervisor_summaries

    public void unset_supervisor_summaries()

  - ### is_set_supervisor_summaries

    public boolean is_set_supervisor_summaries()
    Returns true if field supervisor_summaries is set (has been assigned a value) and false otherwise

  - ### set_supervisor_summaries_isSet

    public void set_supervisor_summaries_isSet(boolean value)

  - ### get_worker_summaries_size

    public int get_worker_summaries_size()

  - ### get_worker_summaries_iterator

    public Iterator<WorkerSummary> get_worker_summaries_iterator()

  - ### add_to_worker_summaries

    public void add_to_worker_summaries(WorkerSummary elem)

  - ### get_worker_summaries

    public List<WorkerSummary> get_worker_summaries()

  - ### set_worker_summaries

    public void set_worker_summaries(List<WorkerSummary> worker_summaries)

  - ### unset_worker_summaries

    public void unset_worker_summaries()

  - ### is_set_worker_summaries

    public boolean is_set_worker_summaries()
    Returns true if field worker_summaries is set (has been assigned a value) and false otherwise

  - ### set_worker_summaries_isSet

    public void set_worker_summaries_isSet(boolean value)

  - ### setFieldValue

    public void setFieldValue(SupervisorPageInfo._Fields field, Object value)
    Specified by:
      `setFieldValue` in interface `org.apache.storm.thrift.TBase<SupervisorPageInfo,SupervisorPageInfo._Fields>`

  - ### getFieldValue

    public Object getFieldValue(SupervisorPageInfo._Fields field)
    Specified by:
      `getFieldValue` in interface `org.apache.storm.thrift.TBase<SupervisorPageInfo,SupervisorPageInfo._Fields>`

  - ### isSet

    public boolean isSet(SupervisorPageInfo._Fields field)
    Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    Specified by:
      `isSet` in interface `org.apache.storm.thrift.TBase<SupervisorPageInfo,SupervisorPageInfo._Fields>`

  - ### equals

    public boolean equals(Object that)
    Overrides:
      `equals` in class `Object`

  - ### equals

    public boolean equals(SupervisorPageInfo that)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### compareTo

    public int compareTo(SupervisorPageInfo other)
    Specified by:
      `compareTo` in interface `Comparable<SupervisorPageInfo>`

  - ### fieldForId

    public SupervisorPageInfo._Fields fieldForId(int fieldId)
    Specified by:
      `fieldForId` in interface `org.apache.storm.thrift.TBase<SupervisorPageInfo,SupervisorPageInfo._Fields>`

  - ### read

    public void read(org.apache.storm.thrift.protocol.TProtocol iprot) throws org.apache.storm.thrift.TException
    Specified by:
      `read` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### write

    public void write(org.apache.storm.thrift.protocol.TProtocol oprot) throws org.apache.storm.thrift.TException
    Specified by:
      `write` in interface `org.apache.storm.thrift.TSerializable`
    Throws:
      `org.apache.storm.thrift.TException`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### validate

    public void validate() throws org.apache.storm.thrift.TException
    Throws:
      `org.apache.storm.thrift.TException`